.container {
width: 100% !important;
padding: 0px !important;
}

#notebook, #tab_content {
margin-left: -50% !important;
}


@import url('https://fonts.googleapis.com/css?family=Droid+Sans+Mono');

div#notebook {
 font-family: "Exo_2", sans-serif;
 font-size: 13pt;
 line-height: 170%;
 color: hsl(224, 5%, 82%);
}
body,
div.body {
 font-family: "Exo_2", sans-serif;
 font-size: 13pt;
 color: #93a2be;
 background-color: hsl(224, 9%, 9%);
 background: hsl(224, 9%, 9%);
}
body.notebook_app {
 padding: 0;
 background-color: hsl(224, 9%, 9%);
 padding-right: 0px !important;
 overflow-y: hidden;
}
a {
 font-family: "Exo_2", sans-serif;
 color: #93a2be;
}
a:hover,
a:focus {
 color: #d8dcee;
}
.list_header,
div#notebook_list_header.row.list_header {
 font-size: 14pt;
 color: #d8dcee;
 background-color: hsl(224, 9%, 9%);
}
div#cluster_list_header.row.list_header,
div#running .row.list_header {
 font-size: 14pt;
 color: #93a2be;
 background: #2e3642;
 background-color: #2e3642;
 border-bottom: 2px solid rgba(53,114,198,.3);
}
div#cluster_list > div.list_item.row,
div#cluster_list > div.list_item.row:hover {
 background: #384152;
 background-color: #384152;
}
div#clusters.tab-pane.active {
 font-size: 12.0pt;
 padding: 4px 0 4px 0;
}
#running .panel-group .panel .panel-heading {
 font-size: 14pt;
 color: #93a2be;
 padding: 8px 8px;
 background: #2e3642;
 background-color: #2e3642;
}
#running .panel-group .panel .panel-heading a {
 font-size: 14pt;
 color: #93a2be;
}
#running .panel-group .panel .panel-heading a:focus,
#running .panel-group .panel .panel-heading a:hover {
 font-size: 14pt;
 color: #93a2be;
}
#running .panel-group .panel .panel-body .list_container .list_item {
 background: #384152;
 background-color: #384152;
 padding: 2px;
 border-bottom: 2px solid rgba(53,114,198,.3);
}
#running .panel-group .panel .panel-body .list_container .list_item:hover {
 background: #384152;
 background-color: #384152;
}
#running .panel-group .panel .panel-body {
 padding: 2px;
}
div.running_list_info.toolbar_info {
 font-size: 12.0pt;
 padding: 4px 0 4px 0;
 height: inherit;
 line-height: inherit;
 text-shadow: none;
}
.list_placeholder {
 font-weight: normal;
}
#tree-selector {
 padding: 0px;
}
#project_name > ul > li > a > i.fa.fa-home {
 color: hsla(220, 50%, 60%, 0.91);
 font-size: 17pt;
 display: inline-block;
 position: static;
 padding: 0px 0px;
 font-weight: normal;
 text-align: center;
 vertical-align: text-top;
}
#project_name {
 display: inline-flex;
 padding-left: 7px;
 margin-left: -2px;
 margin-bottom: -20px;
 text-align: -webkit-auto;
 vertical-align: text-top;
}
div#notebook_toolbar div.dynamic-instructions {
 font-family: "Exo_2", sans-serif;
 font-size: 12.0pt;
}
.toolbar_info {
 font-family: "Exo_2", sans-serif;
 font-size: 12.0pt;
 color: #93a2be;
 text-shadow: none;
 border: none;
 height: inherit;
 line-height: inherit;
}
.list_container {
 font-size: 12.0pt;
 color: #93a2be;
 border: none;
 text-shadow: none !important;
}
.list_container > div {
 border-bottom: 1px solid rgba(80,95,133,.22);
 font-size: 12.0pt;
}
.list_header > div,
.list_item > div {
 padding-left: 0px;
}
.list_header > div input,
.list_item > div input {
 top: 0px;
}
.list_header > div .item_link,
.list_item > div .item_link {
 margin-left: -1px;
 vertical-align: middle;
 line-height: 22px;
 font-size: 12.0pt;
}
.item_icon {
 font-size: 12.0pt;
 vertical-align: middle;
}
.list_item input:not([type="checkbox"]) {
 padding-right: 0px;
 height: auto;
 width: 20%;
 margin: 6px 0 0;
 margin-top: 1px;
}
#button-select-all {
 height: auto;
 font-size: 12.0pt;
 padding: 5px;
 min-width: 65px;
 z-index: 0;
}
button#tree-selector-btn {
 height: auto;
 font-size: 12.0pt;
 padding: 5px;
}
input#select-all.pull-left.tree-selector {
 margin-left: 7px;
 margin-right: 2px;
 margin-top: 5px;
}
input[type="radio"],
input[type="checkbox"] {
 margin: 6px 0 0;
 margin-top: 1px;
 line-height: normal;
}
.list_container a {
 font-size: 17px;
 color: #93a2be;
 border: none;
 text-shadow: none !important;
 font-weight: normal;
 font-style: normal;
}
div.list_container a:hover {
 color: #d8dcee;
}
div.list_item:hover {
 background-color: rgba(80,98,129,.04);
}
.breadcrumb > li {
 font-size: 12.0pt;
 color: #93a2be;
 border: none;
 text-shadow: none !important;
}
ul#tabs a {
 font-family: "Exo_2", sans-serif;
 font-size: 13pt;
 font-weight: normal;
 font-style: normal;
 border-color: transparent;
 text-shadow: none !important;
}
.nav-tabs {
 font-family: "Exo_2", sans-serif;
 font-size: 13pt;
 font-weight: normal;
 font-style: normal;
 background: hsl(224, 9%, 9%);
 text-shadow: none !important;
 border-color: transparent;
 border-bottom-color: rgba(80,98,129,.45);
}
.nav-tabs > li > a:hover {
 color: #d8dcee;
 background-color: rgba(80,95,133,.22);
}
.nav-tabs > li > a:active,
.nav-tabs > li > a:focus,
.nav-tabs > li.active > a,
.nav-tabs > li.active > a:focus,
.nav-tabs > li.active > a:hover,
.nav-tabs > li.active > a,
.nav-tabs > li.active > a:hover,
.nav-tabs > li.active > a:focus {
 color: #fefefe;
 background-color: #3572c6;
 border: 1px solid transparent;
 border-bottom-color: transparent;
 cursor: default;
}
.nav > li > a:hover,
.nav > li > a:focus {
 text-decoration: none;
 background-color: rgba(80,95,133,.22);
}
.nav > li.disabled > a,
.nav > li.disabled > a:hover {
 color: #516479;
}
div#notebook {
 font-family: "Exo_2", sans-serif;
 font-size: 13pt;
 padding-top: 4px;
}
.notebook_app {
 background-color: hsl(224, 9%, 9%);
}
#notebook-container {
 padding: 13px;
 background-color: hsl(224, 9%, 9%);
 min-height: 0px;
 box-shadow: none;
 width: 980px;
 margin-right: auto;
 margin-left: auto;
}
div#ipython-main-app.container {
 width: 980px;
 margin-right: auto;
 margin-left: auto;
 margin-right: auto;
 margin-left: auto;
}
.container {
 width: 980px;
 margin-right: auto;
 margin-left: auto;
}
.notebook_app #header {
 box-shadow: none !important;
 background-color: hsl(224, 9%, 9%);
 border-bottom: 2px solid rgba(80,95,133,.22);
}
#header {
 font-family: "Exo_2", sans-serif;
 font-size: 13pt;
 box-shadow: none;
 background-color: hsl(224, 9%, 9%);
}
#header .header-bar {
 background: hsl(224, 9%, 9%);
 background-color: hsl(224, 9%, 9%);
}
body > #header .header-bar {
 width: 100%;
 background: hsl(224, 9%, 9%);
}
#menubar {
 background-color: hsl(224, 9%, 9%);
}
#menubar .navbar,
.navbar-default {
 background-color: hsl(224, 9%, 9%);
 margin-bottom: 0px;
}
.navbar {
 border: none;
}
.navbar-default {
 font-family: "Exo_2", sans-serif;
 font-size: 13pt;
 background-color: hsl(224, 9%, 9%);
 border-color: rgba(80,95,133,.22);
 line-height: 1.5em;
 padding-bottom: 0px;
}
.navbar-default .navbar-nav > li > a {
 font-family: "Exo_2", sans-serif;
 font-size: 13pt;
 color: #93a2be;
 display: block;
 line-height: 1.5em;
 padding-top: 8px;
 padding-bottom: 6px;
}
.navbar-default .navbar-nav > li > a:hover,
.navbar-default .navbar-nav > li > a:focus {
 color: #d8dcee;
 background-color: rgba(80,95,133,.22);
 border-color: rgba(80,95,133,.22);
 line-height: 1.5em;
}
.navbar-default .navbar-nav > .open > a,
.navbar-default .navbar-nav > .open > a:hover,
.navbar-default .navbar-nav > .open > a:focus {
 color: #fefefe;
 background-color: #3572c6;
 border-color: #3572c6;
 line-height: 1.5em;
}
.edit_mode .modal_indicator:before {
 font-size: 13pt;
 color: #157bff;
 content: "\f040";
}
.item_icon {
 color: hsla(220, 50%, 60%, 0.91);
}
.item_buttons .kernel-name {
 font-size: 13pt;
 color: hsla(220, 50%, 60%, 0.91);
 line-height: 22px;
}
.running_notebook_icon:before {
 color: #48a667 !important;
}
.item_buttons .running-indicator {
 padding-top: 2px;
 color: #48a667;
}
#modal_indicator {
 float: right !important;
 color: hsla(220, 50%, 60%, 0.91);
 background: hsl(224, 9%, 9%);
 background-color: hsl(224, 9%, 9%);
}
#kernel_indicator {
 float: right !important;
 color: hsla(220, 50%, 60%, 0.91);
 background: hsl(224, 9%, 9%);
 background-color: hsl(224, 9%, 9%);
 font-size: 14.5pt;
 border-left: 2px solid hsla(220, 50%, 40%, 0.8);
 padding-bottom: 2px;
}
#kernel_indicator .kernel_indicator_name {
 color: hsla(220, 50%, 60%, 0.91);
 background: hsl(224, 9%, 9%);
 background-color: hsl(224, 9%, 9%);
 font-size: 14.5pt;
 padding-left: 5px;
 padding-right: 5px;
}
div.notification_widget.info,
.notification_widget.info,
.notification_widget:active:hover,
.notification_widget.active:hover,
.open > .dropdown-toggle.notification_widget:hover,
.notification_widget:active:focus,
.notification_widget.active:focus,
.open > .dropdown-toggle.notification_widget:focus,
.notification_widget:active.focus,
.notification_widget.active.focus,
.open > .dropdown-toggle.notification_widget.focus,
div#notification_notebook.notification_widget.btn.btn-xs.navbar-btn,
div#notification_notebook.notification_widget.btn.btn-xs.navbar-btn:hover,
div#notification_notebook.notification_widget.btn.btn-xs.navbar-btn:focus {
 color: hsla(220, 50%, 60%, 0.91);
 background-color: hsl(224, 9%, 9%);
 border-color: hsl(224, 9%, 9%);
}
#notification_area,
div.notification_area {
 float: right !important;
 position: static;
}
#kernel_logo_widget,
#kernel_logo_widget .current_kernel_logo {
 display: none;
}
div#ipython_notebook {
 display: none;
}
i.fa.fa-icon {
 -webkit-font-smoothing: antialiased;
 -moz-osx-font-smoothing: grayscale;
 text-rendering: auto;
}
.fa {
 display: inline-block;
 font: normal normal normal 12pt/1 "FontAwesome", "Exo_2", sans-serif;
 text-rendering: auto;
 -webkit-font-smoothing: antialiased;
 -moz-osx-font-smoothing: grayscale;
}
.dropdown-menu {
 font-family: "Exo_2", sans-serif;
 font-size: 13pt;
 box-shadow: none;
 padding: 0px;
 text-align: left;
 border: 2px solid rgba(80,95,133,.22);
 background-color: #373e4b;
 background: #373e4b;
 line-height: 1.3;
 margin: 0px;
}
.dropdown-menu:hover {
 font-family: "Exo_2", sans-serif;
 font-size: 13pt;
 border: 2px solid rgba(80,95,133,.22);
 background-color: #373e4b;
 box-shadow: none;
 line-height: 1.3;
}
.dropdown-header {
 font-family: "Exo_2", sans-serif;
 font-size: 13pt;
 display: block;
 color: hsla(220, 50%, 60%, 0.91);
 text-decoration: underline;
 white-space: nowrap;
 padding: 8px 0px 0px 6px;
 line-height: 1.3;
}
.dropdown-menu > li > a {
 font-family: "Exo_2", sans-serif;
 font-size: 12.0pt;
 line-height: 1.3;
 display: block;
 padding: 10px 25px 10px 14px;
 color: #93a2be;
 background-color: #373e4b;
 background: #373e4b;
}
.dropdown-menu > li > a:hover {
 color: #d8dcee;
 background-color: rgba(80,95,133,.22);
 background: rgba(80,95,133,.22);
 border-color: rgba(80,95,133,.22);
}
.dropdown-menu .divider {
 height: 2px;
 margin: 0px 0px;
 overflow: hidden;
 background-color: rgba(53,114,198,.3);
}
.dropdown-submenu > .dropdown-menu {
 top: 0;
 left: 100%;
 margin-top: -2px;
 margin-left: 0px;
 padding-top: 0px;
}
.dropdown-menu > .disabled > a,
.dropdown-menu > .disabled > a:hover,
.dropdown-menu > .disabled > a:focus {
 font-family: "Exo_2", sans-serif;
 font-size: 12.0pt;
 font-weight: normal;
 color: #516479;
 padding: none;
 display: block;
 clear: both;
 line-height: 1.2;
 white-space: nowrap;
}
.dropdown-submenu > a:after {
 color: #93a2be;
 margin-right: -16px;
}
.dropdown-submenu:hover > a:after,
.dropdown-submenu:active > a:after,
.dropdown-submenu:focus > a:after,
.dropdown-submenu:visited > a:after {
 color: hsla(220, 50%, 60%, 0.91);
 margin-right: -16px;
}
div.kse-dropdown > .dropdown-menu,
.kse-dropdown > .dropdown-menu {
 min-width: 0;
 top: 94%;
}
.btn,
.btn-default {
 font-family: "Exo_2", sans-serif;
 color: #93a2be;
 background: #3a4452;
 background-color: #3a4452;
 border: 2px solid #38424f;
 font-weight: normal;
 box-shadow: none;
 text-shadow: none;
 border-radius: 2px;
 font-size: inherit;
}
.btn:hover,
.btn:active:hover,
.btn.active:hover,
.btn-default:hover,
.open > .dropdown-toggle.btn-default:hover,
.open > .dropdown-toggle.btn:hover {
 color: #d8dcee;
 background-color: #424e5e;
 background: #424e5e;
 border-color: #424e5e;
 background-image: none;
 box-shadow: none !important;
 border-radius: 2px;
}
.btn:active,
.btn.active,
.btn:active:focus,
.btn.active:focus,
.btn:active.focus,
.btn.active.focus,
.btn-default:focus,
.btn-default.focus,
.btn-default:active,
.btn-default.active,
.btn-default:active:hover,
.btn-default.active:hover,
.btn-default:active:focus,
.btn-default.active:focus,
.btn-default:active.focus,
.btn-default.active.focus,
.open > .dropdown-toggle.btn:focus,
.open > .dropdown-toggle.btn.focus,
.open > .dropdown-toggle.btn-default {
 color: #fefefe;
 background-color: #3572c6;
 background: #3572c6;
 border-color: #3572c6;
 background-image: none;
 box-shadow: none !important;
 border-radius: 2px;
}
.item_buttons > .btn,
.item_buttons > .btn-group,
.item_buttons > .input-group {
 margin-left: 5px;
 background: #2e3642;
 background-color: #2e3642;
 border: 2px solid #2e3642;
}
.item_buttons > .btn:hover,
.item_buttons > .btn-group:hover,
.item_buttons > .input-group:hover {
 margin-left: 5px;
 background: #2a313c;
 background-color: #2a313c;
 border: 2px solid #2a313c;
}
.btn-group > .btn-mini,
.btn-sm,
.btn-group-sm > .btn,
.btn-xs,
.btn-group-xs > .btn,
.alternate_upload .btn-upload,
.btn-group,
.btn-group-vertical {
 font-size: 12.0pt;
 font-weight: normal;
}
.btn-xs,
.btn-group-xs > .btn {
 font-size: 12.0pt;
 background-image: none;
 font-weight: normal;
 text-shadow: none;
 display: inline-table;
}
.alternate_upload .btn-upload {
 display: none;
}
.alternate_upload input.fileinput {
 display: none;
}
button.close {
 border: 0px none;
 font-family: sans-serif;
 font-size: 25pt;
}
.dynamic-buttons {
 font-size: inherit;
 padding-top: 0px;
 display: inline-block;
}
.close {
 color: #dc6972;
 opacity: .5;
 text-shadow: none;
}
.close:hover {
 color: #dc6972;
 opacity: 1;
}
div.btn.btn-default.output_collapsed {
 background: #2e3642;
 background-color: #2e3642;
 border-color: #2e3642;
}
div.btn.btn-default.output_collapsed:hover {
 background: #2a313c;
 background-color: #2a313c;
 border-color: #2a313c;
}
div.nbext-enable-btns .btn[disabled],
div.nbext-enable-btns .btn[disabled]:hover,
.btn-default.disabled,
.btn-default[disabled],
.btn-default.disabled:hover,
.btn-default[disabled]:hover,
fieldset[disabled] .btn-default:hover,
.btn-default.disabled:focus,
.btn-default[disabled]:focus,
fieldset[disabled] .btn-default:focus,
.btn-default.disabled.focus,
.btn-default[disabled].focus,
fieldset[disabled] .btn-default.focus {
 color: #92a2bd;
 background: #38424f;
 background-color: #38424f;
 border-color: #38424f;
}
.input-group-addon {
 padding: 2px 5px;
 font-size: 12.0pt;
 font-weight: normal;
 height: auto;
 color: #93a2be;
 text-align: center;
 background-color: #2a313c;
 border: none;
}
.btn-group > .btn + .dropdown-toggle {
 padding-left: 8px;
 padding-right: 8px;
 height: 100%;
 border-left: 2px solid hsla(220, 50%, 40%, 0.8) !important;
}
.btn-group > .btn + .dropdown-toggle:hover {
 border-left: 2px solid hsla(220, 50%, 40%, 0.8) !important;
}
.input-group-btn {
 position: relative;
 font-size: inherit;
 white-space: nowrap;
}
.input-group-btn:first-child > .btn,
.input-group-btn:first-child > .btn-group {
 background: #2e3642;
 background-color: #2e3642;
 border: 1px solid #2a313c;
 margin: 2px;
 font-size: inherit;
}
.input-group-btn:first-child > .btn:hover,
.input-group-btn:first-child > .btn-group:hover {
 background: #2a313c;
 background-color: #2a313c;
 border: 1px solid #2a313c;
 margin: 2px;
 font-size: inherit;
}
div.modal .btn-group > .btn:first-child {
 background: #2e3642;
 background-color: #2e3642;
 border: 1px solid #2a313c;
 margin-top: 0px !important;
 margin-left: 0px;
 margin-bottom: 2px;
}
div.modal .btn-group > .btn:first-child:hover {
 background: #2a313c;
 background-color: #2a313c;
 border: 1px solid #2a313c;
}
div.modal > button,
div.modal-footer > button {
 background: #2e3642;
 background-color: #2e3642;
 border-color: #2e3642;
}
div.modal > button:hover,
div.modal-footer > button:hover {
 background: #2a313c;
 background-color: #2a313c;
 border-color: #2a313c;
}
.modal-content {
 font-family: "Exo_2", sans-serif;
 font-size: 12.0pt;
 position: relative;
 background: #2e3642;
 background-color: #2e3642;
 border: none;
 border-radius: 1px;
 background-clip: padding-box;
 outline: none;
}
.modal-header {
 font-family: "Exo_2", sans-serif;
 font-size: 13pt;
 color: #93a2be;
 background: #2e3642;
 background-color: #2e3642;
 border-color: rgba(80,95,133,.22);
 padding: 12px;
 min-height: 16.4286px;
}
.modal-content h4 {
 font-family: "Exo_2", sans-serif;
 font-size: 16pt;
 color: #93a2be;
 padding: 5px;
}
.modal-body {
 background-color: #384152;
 position: relative;
 padding: 15px;
}
.modal-footer {
 padding: 10px;
 text-align: right;
 background-color: #384152;
 border-top: 1px solid rgba(80,95,133,.22);
}
.alert-info {
 background-color: #4a5467;
 border-color: rgba(80,95,133,.22);
 color: #93a2be;
}
.modal-header .close {
 margin-top: -5px;
 font-size: 25pt;
}
.modal-backdrop,
.modal-backdrop.in {
 opacity: 0.75;
 background-color: #373e4b;
}
div.panel,
div.panel-default,
.panel,
.panel-default {
 font-family: "Exo_2", sans-serif;
 font-size: 12.0pt;
 background-color: #384152;
 color: #93a2be;
 margin-bottom: 14px;
 border: 0;
 box-shadow: none;
}
div.panel > .panel-heading,
div.panel-default > .panel-heading {
 font-size: 14pt;
 color: #93a2be;
 background: #2e3642;
 background-color: #2e3642;
 border: 0;
}
.modal .modal-dialog {
 min-width: 950px;
 margin: 50px auto;
}
div.container-fluid {
 margin-right: auto;
 margin-left: auto;
 padding-left: 7px;
 padding-right: 12px;
}
div.form-control,
.form-control {
 font-family: "Exo_2", sans-serif;
 font-size: inherit;
 color: #93a2be;
 background-color: #2a313c;
 border: 2px solid #2a313c;
 margin-left: 2px;
 height: auto;
 box-shadow: none;
 padding: 6px 12px;
 transition: border-color 0.15s ease-in-out 0s, box-shadow 0.15s ease-in-out 0s;
}
.form-group.list-group-item {
 color: #93a2be;
 background-color: #384152;
 border-color: rgba(80,95,133,.22);
 margin-bottom: 0px;
}
input,
button,
select,
textarea {
 background-color: #2a313c;
 font-weight: normal;
 border: 2px solid rgba(80,95,133,.22);
}
select.form-control.select-xs {
 height: auto;
}
div.output.output_scroll {
 box-shadow: none;
}
::-webkit-scrollbar-track {
 -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.11);
 background-color: #7689ac;
 border-radius: 6px;
}
::-webkit-scrollbar {
 width: 14px;
 height: 10px;
 background-color: #7689ac;
 border-radius: 6px;
}
::-webkit-scrollbar-thumb {
 background-color: #ffffff;
 background-image: -webkit-gradient(linear,40% 0%,75% 86%,from(#305e9c ),color-stop(0.5,#3d75c3 ),to(#305e9c ));
 min-height: 60px;
 border-radius: 2px;
}
div.input_area {
 background-color: hsl(224, 9%, 16%);
 padding-right: 1.2em;
 border: 0px;
 border-top-left-radius: 0px;
 border-top-right-radius: 2px;
 border-bottom-left-radius: 0px;
 border-bottom-right-radius: 0px;
}
div.cell {
 padding: 0px;
 background-color: hsl(224, 9%, 16%);
 border: medium solid hsl(224, 9%, 9%);
 border-top-right-radius: 2px;
 border-top-left-radius: 2px;
}
div.cell.selected {
 background-color: hsl(224, 9%, 16%);
 border: medium solid hsla(220, 50%, 40%, 0.8);
 padding: 0px;
 border-top-right-radius: 2px;
 border-top-left-radius: 2px;
}
.edit_mode div.cell.selected {
 padding: 0px;
 background: hsl(224, 9%, 16%);
 background-color: hsl(224, 9%, 16%);
 border: medium solid #33517c;
 border-top-right-radius: 2px;
 border-top-left-radius: 2px;
}
div.cell.edit_mode {
 padding: 0px;
 background: hsl(224, 9%, 16%);
 background-color: hsl(224, 9%, 16%);
 border: medium solid #33517c;
 border-top-right-radius: 2px;
 border-top-left-radius: 2px;
}
div.output_subarea{
max-width:100% !important;
}
div.prompt,
.prompt {
display:none; 

font-family: consolas, monospace;
 font-size: 9.5pt;
 font-weight: normal;
 color: #446489;
 line-height: 170%;
 padding: 0px;
 padding-top: 4px;
 padding-left: .25em;
 text-align: left !important;
 min-width: 12ex;
 width: 12ex;
}
div.prompt.input_prompt {
 background-color: hsl(224, 9%, 16%);
 border-right: 2px solid rgba(53,114,198,.5);
 border-top-left-radius: 2px;
 border-top-right-radius: 0px;
 border-bottom-left-radius: 0px;
 border-bottom-right-radius: 0px;
 min-width: 12ex;
 width: 12ex !important;
}
div.output_wrapper {
 background-color: #384151;
 border: 0px;
 margin-bottom: 0em;
 margin-top: 0em;
 border-top-right-radius: 0px;
 border-top-left-radius: 0px;
 border-bottom-left-radius: 2px;
 border-bottom-right-radius: 2px;
}
div.output_subarea.output_text.output_stream.output_stdout,
div.output_subarea.output_text {
 font-family: "Droid Sans Mono", monospace;
 font-size: 10.0pt;
 line-height: 150% !important;
 background-color: #384151;
 color: hsl(224, 5%, 82%);
 border-top-right-radius: 0px;
 border-top-left-radius: 0px;
 border-bottom-left-radius: 2px;
 border-bottom-right-radius: 2px;
}
div.output_area pre {
 font-family: "Droid Sans Mono", monospace;
 font-size: 10.0pt;
 line-height: 150% !important;
 color: hsl(224, 5%, 82%);
 border-top-right-radius: 0px;
 border-top-left-radius: 0px;
 border-bottom-left-radius: 2px;
 border-bottom-right-radius: 2px;
}
div.output_area {
 display: -webkit-box;
}
div.output_html {
 font-family: "Droid Sans Mono", monospace;
 font-size: 10.0pt;
 color: #dbdfef;
 background-color: #384151;
 background: #384151;
}
div.output_subarea {
 overflow-x: auto;
 padding: .8em;
 -webkit-box-flex: 1;
 -moz-box-flex: 1;
 box-flex: 1;
 flex: 1;
 max-width: 90%;
}
div.prompt.output_prompt {
 font-family: "Fira Code", monospace;
 font-size: 9.5pt;
 background-color: #384151;
 color: #384151;
 border-bottom-left-radius: 2px;
 border-top-right-radius: 0px;
 border-top-left-radius: 0px;
 border-bottom-right-radius: 0px;
 min-width: 12ex;
 width: 12ex;
}
div.out_prompt_overlay.prompt {
 font-family: "Fira Code", monospace;
 font-size: 9.5pt;
 background-color: #384151;
 border-bottom-left-radius: 2px;
 border-top-right-radius: 0px;
 border-top-left-radius: 0px;
 border-bottom-right-radius: 0px;
 min-width: 12ex;
 width: 12ex;
}
div.out_prompt_overlay.prompt:hover {
 background-color: #384151;
 box-shadow: #3a4452 2px 1px 2px 2.5px inset;
 border-bottom-left-radius: 2px;
 -webkit-border-: 2px;
 -moz-border-radius: 2px;
 border-top-right-radius: 0px;
 border-top-left-radius: 0px;
 min-width: 12ex;
 width: 12ex !important;
}
div.text_cell,
div.text_cell_render pre,
div.text_cell_render {
 font-family: "Droid Sans Mono", serif;
 font-size: 10pt;
 line-height: 170% !important;
 color: hsl(212, 24%, 74%);
 background-color: hsl(224, 9%, 16%);
 border-radius: 2px;
}
div.cell.text_cell.rendered.selected {
 font-family: "Droid Sans Mono", serif;
 border: medium solid hsla(220, 50%, 40%, 0.8);
 line-height: 170% !important;
 background-color: hsl(224, 9%, 16%);
 border-radius: 2px;
}
div.cell.text_cell.unrendered.selected {
 font-family: "Droid Sans Mono", serif;
 line-height: 170% !important;
 background-color: hsl(224, 9%, 16%);
 border: medium solid hsla(220, 50%, 40%, 0.8);
 border-radius: 2px;
}
div.cell.text_cell.selected {
 font-family: "Droid Sans Mono", serif;
 line-height: 170% !important;
 border: medium solid hsla(220, 50%, 90%, 0.8);
 background-color: hsl(224, 9%, 16%);
 border-radius: 2px;
}
.edit_mode div.cell.text_cell.selected {
 font-family: "Droid Sans Mono", serif;
 line-height: 170% !important;
 background-color: hsl(224, 9%, 16%);
 border: medium solid #33517c;
 border-radius: 2px;
}
div.text_cell.unrendered,
div.text_cell.unrendered.selected,
div.edit_mode div.text_cell.unrendered {
 font-family: "Droid Sans Mono", serif;
 line-height: 170% !important;
 background-color: hsl(224, 9%, 16%);
 border-radius: 2px;
}
div.cell.text_cell.rendered .input_prompt {
 font-family: "Fira Code", monospace;
 font-size: 9.5pt;
 font-weight: normal;
 color: #446489;
 text-align: left !important;
 min-width: 12ex;
 width: 12ex;
 background-color: hsl(224, 9%, 16%);
 border-right: 2px solid rgba(53,114,198,.5);
}
div.cell.text_cell.unrendered .input_prompt {
 font-family: "Fira Code", monospace;
 font-size: 9.5pt;
 font-weight: normal;
 color: #446489;
 text-align: left !important;
 min-width: 12ex;
 width: 12ex;
 border-right: 2px solid rgba(53,114,198,.5);
}
div.rendered_html code {
 font-family: "Droid Sans Mono", monospace;
 font-size: 11pt;
 padding-top: 3px;
 color: hsl(224, 5%, 82%);
 background-color: #2a313c;
}
pre,
code,
kbd,
samp {
 white-space: pre-wrap;
}
code {
 font-family: "Droid Sans Mono", monospace;
 font-size: 11pt !important;
 line-height: 170% !important;
 color: hsl(216, 20%, 74%);
 background-color: #2a313c;
}
kbd {
 padding: 4px;
 font-size: 11pt;
 color: hsl(224, 5%, 82%);
 background-color: #2a313c;
 border: 0;
 box-shadow: none;
}
pre {
 display: block;
 padding: 8.5px;
 margin: 0 0 9px;
 font-size: 12.0pt;
 line-height: 1.42857143;
 color: hsl(224, 5%, 82%);
 background-color: #2a313c;
 border: 1px solid #2a313c;
 border-radius: 2px;
}
div.rendered_html {
 color: hsl(216, 26%, 70%);
}
div.rendered_html pre,
div.text_cell_render pre {
 font-family: "Droid Sans Mono", monospace;
 font-size: 11pt !important;
 line-height: 170% !important;
 color: hsl(216, 20%, 74%);
 background-color: #2a313c;
 border: 2px #2a313c solid;
 max-width: 86%;
 border-radius: 2px;
 padding: 5px;
}
div.text_cell_render h1,
div.rendered_html h1,
div.text_cell_render h2,
div.rendered_html h2,
div.text_cell_render h3,
div.rendered_html h3,
div.text_cell_render h4,
div.rendered_html h4,
div.text_cell_render h5,
div.rendered_html h5 {
 font-family: "Exo_2", sans-serif;
}
.rendered_html h1:first-child,
.rendered_html h2:first-child,
.rendered_html h3:first-child,
.rendered_html h4:first-child,
.rendered_html h5:first-child,
.rendered_html h6:first-child {
 margin-top: 0.2em;
}
.rendered_html h1,
.text_cell_render h1 {
 color: hsla(220, 50%, 50%, 0.93);
 font-size: 200%;
 text-align: left;
 font-weight: bold;
}
.rendered_html h2,
.text_cell_render h2 {
 text-align: left;
 font-size: 150%;
 color: hsla(220, 50%, 50%, 0.93);
 font-style: normal;
 font-weight: bold;
}
.rendered_html h3,
.text_cell_render h3 {
 font-size: 130%;
 color: hsla(220, 50%, 60%, 0.7);
 font-weight: lighter;
 text-decoration: italic;
 font-weight: bold;
 font-style: normal;
}
.rendered_html h4,
.text_cell_render h4 {
 font-size: 120%;
 color: hsla(220, 50%, 60%, 0.7);
 font-weight: underline;
 font-weight: bold;
 font-style: normal;
}
.rendered_html h5,
.text_cell_render h5 {
 font-size: 100%;
 color: hsla(220, 50%, 60%, 0.7);
 font-weight: bold;
 text-decoration: underline;
}
.rendered_html table,
.rendered_html tr,
.rendered_html td {
 font-family: "Fira Code", monospace;
 font-size: 10.0pt !important;
 line-height: 150% !important;
 border: 1px solid #546379;
 color: hsla(220, 50%, 60%, 0.7);
 background-color: #434d61;
}
table.dataframe,
.rendered_html tr,
.dataframe * {
 font-family: "Fira Code", monospace;
 font-size: 10.0pt !important;
 border: 1px solid #546379;
}
.dataframe th,
.rendered_html th {
 font-family: "Exo_2", sans-serif;
 font-size: 11pt !important;
 font-weight: bold;
 border: 1px solid #414c5d;
 background: #2e3642;
}
.dataframe td,
.rendered_html td {
 font-family: "Fira Code", monospace;
 font-size: 10.0pt !important;
 color: #dbdfef;
 background: #434d61;
 border: 1px solid #546379;
 text-align: left;
 min-width: 4em;
}
.dataframe-summary-row tr:last-child,
.dataframe-summary-col td:last-child {
 font-family: "Exo_2", sans-serif;
 font-size: 11pt !important;
 font-weight: bold;
 color: #d4d8ec;
 border: 1px solid #546379;
 background: #2e3642;
}
div.widget-area {
 background-color: #384151;
 color: hsl(224, 5%, 82%);
}
div.widget-area a {
 font-family: "Exo_2", sans-serif;
 font-size: 12.0pt;
 font-weight: normal;
 font-style: normal;
 color: #93a2be;
 text-shadow: none !important;
}
div.widget-area a:hover,
div.widget-area a:focus {
 font-family: "Exo_2", sans-serif;
 font-size: 12.0pt;
 font-weight: normal;
 font-style: normal;
 color: #d8dcee;
 background-color: rgba(80,95,133,.22);
 border-color: transparent;
 background-image: none;
 text-shadow: none !important;
}
div.widget_item.btn-group > button.btn.btn-default.widget-combo-btn,
div.widget_item.btn-group > button.btn.btn-default.widget-combo-btn:hover {
 background-color: #2e3642;
 border: 2px solid #2e3642 !important;
 font-size: inherit;
 z-index: 0;
}
div.jupyter-widgets.widget-hprogress.widget-hbox,
div.widget-hbox,
.widget-hbox {
 display: inline-table;
}
div.jupyter-widgets.widget-hprogress.widget-hbox .widget-label,
div.widget-hbox .widget-label,
.widget-hbox .widget-label {
 font-size: 11pt;
 min-width: 100%;
 padding-top: 5px;
 padding-right: 10px;
 text-align: left;
 vertical-align: text-top;
}
.progress {
 overflow: hidden;
 height: 20px;
 margin-bottom: 10px;
 padding-left: 10px;
 background-color: #68809a;
 border-radius: 4px;
 -webkit-box-shadow: none;
 box-shadow: none;
}
.rendered_html :link {
 font-family: "Exo_2", sans-serif;
 font-size: 100%;
 color: #157bff;
 text-decoration: underline;
}
.rendered_html :visited,
.rendered_html :visited:active,
.rendered_html :visited:focus {
 color: #668fc8;
}
.rendered_html :visited:hover,
.rendered_html :link:hover {
 font-family: "Exo_2", sans-serif;
 font-size: 100%;
 color: #46c16f;
}
a.anchor-link:link:hover {
 font-size: inherit;
 color: #46c16f;
}
a.anchor-link:link {
 font-size: inherit;
 text-decoration: none;
 padding: 0px 20px;
 visibility: none;
 color: hsla(220, 50%, 60%, 0.91);
}
div#nbextensions-configurator-container.container {
 width: 980px;
 margin-right: 0;
 margin-left: 0;
}
div.nbext-selector > nav > .nav > li > a {
 font-family: "Exo_2", sans-serif;
 font-size: 12pt;
}
div.nbext-readme > .nbext-readme-contents > .rendered_html {
 font-family: "Exo_2", sans-serif;
 font-size: 12pt;
 line-height: 145%;
 padding: 1em 1em;
 color: hsl(216, 20%, 74%);
 background-color: hsl(224, 9%, 16%);
 -webkit-box-shadow: none;
 -moz-box-shadow: none;
 box-shadow: none;
}
.nbext-icon,
.nbext-desc,
.nbext-compat-div,
.nbext-enable-btns,
.nbext-params {
 margin-bottom: 8px;
 font-size: 12pt;
}
div.nbext-readme > .nbext-readme-contents {
 padding: 0;
 overflow-y: hidden;
}
div.nbext-readme > .nbext-readme-contents:not(:empty) {
 margin-top: 0.5em;
 margin-bottom: 2em;
 border: none;
 border-top-color: rgba(53,114,198,.3);
}
.nbext-showhide-incompat {
 padding-bottom: 0.5em;
 color: #92a2bd;
 font-size: 12.0pt;
}
.shortcut_key,
span.shortcut_key {
 display: inline-block;
 width: 16ex;
 text-align: right;
 font-family: monospace;
}
mark,
.mark {
 background-color: hsl(224, 9%, 16%);
 color: hsl(216, 20%, 74%);
 padding: .15em;
}
a.text-warning,
a.text-warning:hover {
 color: #516479;
}
a.text-warning.bg-warning {
 background-color: hsl(224, 9%, 9%);
}
span.bg-success.text-success {
 background-color: transparent;
 color: #48a667;
}
span.bg-danger.text-danger {
 background-color: hsl(224, 9%, 9%);
 color: #dc6972;
}
.has-success .input-group-addon {
 color: #48a667;
 border-color: transparent;
 background: inherit;
 background-color: rgba(83,180,115,.10);
}
.has-success .form-control {
 border-color: #48a667;
 -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,0.025);
 box-shadow: inset 0 1px 1px rgba(0,0,0,0.025);
}
.has-error .input-group-addon {
 color: #dc6972;
 border-color: transparent;
 background: inherit;
 background-color: rgba(192,57,67,.10);
}
.has-error .form-control {
 border-color: #dc6972;
 -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,0.025);
 box-shadow: inset 0 1px 1px rgba(0,0,0,0.025);
}
.kse-input-group-pretty > kbd {
 font-family: "Droid Sans Mono", monospace;
 color: #93a2be;
 font-weight: normal;
 background: transparent;
}
.kse-input-group-pretty > kbd {
 font-family: "Droid Sans Mono", monospace;
 color: #93a2be;
 font-weight: normal;
 background: transparent;
}
div.nbext-enable-btns .btn[disabled],
div.nbext-enable-btns .btn[disabled]:hover,
.btn-default.disabled,
.btn-default[disabled] {
 background: #38424f;
 background-color: #38424f;
 color: #899ab8;
}
label#Keyword-Filter {
 display: none;
}
.nav-pills > li.active > a,
.nav-pills > li.active > a:hover,
.nav-pills > li.active > a:focus {
 color: #ffffff;
 background-color: hsla(220, 50%, 40%, 0.8);
}
.input-group .nbext-list-btn-add,
.input-group-btn:last-child > .btn-group > .btn {
 background: #2e3642;
 background-color: #2e3642;
 border-color: #2e3642;
}
.input-group .nbext-list-btn-add:hover,
.input-group-btn:last-child > .btn-group > .btn:hover {
 background: #2a313c;
 background-color: #2a313c;
 border-color: #2a313c;
}
#notebook-container > div.cell.code_cell.rendered.selected > div.widget-area > div.widget-subarea > div > div.widget_item.btn-group > button.btn.btn-default.dropdown-toggle.widget-combo-carrot-btn {
 background: #2e3642;
 background-color: #2e3642;
 border-color: #2e3642;
}
#notebook-container > div.cell.code_cell.rendered.selected > div.widget-area > div.widget-subarea > div > div.widget_item.btn-group > button.btn.btn-default.dropdown-toggle.widget-combo-carrot-btn:hover {
 background: #2a313c;
 background-color: #2a313c;
 border-color: #2a313c;
}



input.raw_input {
 font-family: "Droid Sans Mono", monospace;
 font-size: 11pt !important;
 color: hsl(224, 5%, 82%);
 background-color: #2a313c;
 border-color: #282f39;
 background: #282f39;
 width: auto;
 vertical-align: baseline;
 padding: 0em 0.25em;
 margin: 0em 0.25em;
 -webkit-box-shadow: none;
 box-shadow: none;
}
audio,
video {
 display: inline;
 vertical-align: middle;
 align-content: center;
 margin-left: 20%;
}
.cmd-palette .modal-body {
 padding: 0px;
 margin: 0px;
}
.cmd-palette form {
 background: #293547;
 background-color: #293547;
}
.typeahead-field input:last-child,
.typeahead-hint {
 background: #293547;
 background-color: #293547;
 z-index: 1;
}
.typeahead-field input {
 font-family: "Exo_2", sans-serif;
 color: hsl(224, 5%, 82%);
 border: none;
 font-size: 28pt;
 display: inline-block;
 line-height: inherit;
 padding: 3px 10px;
 height: 70px;
}
.typeahead-select {
 background-color: #293547;
}
body > div.modal.cmd-palette.typeahead-field {
 display: table;
 border-collapse: separate;
 background-color: #2b3850;
}
.typeahead-container button {
 font-family: "Exo_2", sans-serif;
 font-size: 28pt;
 background-color: #7689ac;
 border: none;
 display: inline-block;
 line-height: inherit;
 padding: 3px 10px;
 height: 70px;
}
.typeahead-search-icon {
 min-width: 40px;
 min-height: 55px;
 display: block;
 vertical-align: middle;
 text-align: center;
}
.typeahead-container button:focus,
.typeahead-container button:hover {
 color: #d8dcee;
 background-color: hsla(220, 50%, 40%, 0.8);
 border-color: hsla(220, 50%, 40%, 0.8);
}
.typeahead-list > li.typeahead-group.active > a,
.typeahead-list > li.typeahead-group > a,
.typeahead-list > li.typeahead-group > a:focus,
.typeahead-list > li.typeahead-group > a:hover {
 display: none;
}
.typeahead-dropdown > li > a,
.typeahead-list > li > a {
 color: #93a2be;
 text-decoration: none;
}
.typeahead-dropdown,
.typeahead-list {
 font-family: "Exo_2", sans-serif;
 font-size: 13pt;
 color: #93a2be;
 background-color: #202937;
 border: none;
 background-clip: padding-box;
 margin-top: 0px;
 padding: 3px 2px 3px 0px;
 line-height: 1.7;
}
.typeahead-dropdown > li.active > a,
.typeahead-dropdown > li > a:focus,
.typeahead-dropdown > li > a:hover,
.typeahead-list > li.active > a,
.typeahead-list > li > a:focus,
.typeahead-list > li > a:hover {
 color: #d8dcee;
 background-color: #2b3850;
 border-color: #2b3850;
}
.command-shortcut:before {
 content: "(command)";
 padding-right: 3px;
 color: #516479;
}
.edit-shortcut:before {
 content: "(edit)";
 padding-right: 3px;
 color: #516479;
}
ul.typeahead-list i {
 margin-left: 1px;
 width: 18px;
 margin-right: 10px;
}
ul.typeahead-list {
 max-height: 50vh;
 overflow: auto;
}
.typeahead-list > li {
 position: relative;
 border: none;
}
div.input.typeahead-hint,
input.typeahead-hint,
body > div.modal.cmd-palette.in > div > div > div > form > div > div.typeahead-field > span.typeahead-query > input.typeahead-hint {
 color: #516479 !important;
 background-color: transparent;
 padding: 3px 10px;
}
.typeahead-dropdown > li > a,
.typeahead-list > li > a {
 display: block;
 padding: 5px;
 clear: both;
 font-weight: 400;
 line-height: 1.7;
 border: 1px solid #202937;
 border-bottom-color: rgba(80,98,129,.45);
}
body > div.modal.cmd-palette.in > div {
 min-width: 750px;
 margin: 150px auto;
}
.typeahead-container strong {
 font-weight: bolder;
 color: hsla(220, 50%, 60%, 0.91);
}
#find-and-replace #replace-preview .match,
#find-and-replace #replace-preview .insert {
 color: #ffffff;
 background-color: hsla(220, 50%, 40%, 0.8);
 border-color: hsla(220, 50%, 40%, 0.8);
 border-style: solid;
 border-width: 1px;
 border-radius: 0px;
}
#find-and-replace #replace-preview .replace .match {
 background-color: #dc6972;
 border-color: #dc6972;
 border-radius: 0px;
}
#find-and-replace #replace-preview .replace .insert {
 background-color: #48a667;
 border-color: #48a667;
 border-radius: 0px;
}
div.CodeMirror,
div.CodeMirror pre {
 font-family: "Droid Sans Mono", monospace;
 font-size: 11pt;
 line-height: 170%;
 color: hsl(224, 5%, 82%);
}
div.CodeMirror-lines {
 padding-bottom: .6em;
 padding-left: .6em;
 padding-right: 1.5em;
 padding-top: 4px;
}
span.ansiblack {
 color: #2b303b;
}
span.ansiblue {
 color: #77abe7;
}
span.ansigray {
 color: #899ab8;
}
span.ansigreen {
 color: hsl(224, 5%, 82%);
}
span.ansipurple {
 color: hsl(272, 65%, 75%);
}
span.ansicyan {
 color: hsl(129, 36%, 64%);
}
span.ansiyellow {
 color: #ddd7a3;
}
span.ansired {
 color: #db797c;
}
div.output-stderr {
 background-color: #db797c;
}
div.output-stderr pre {
 color: #d0d4e6;
}
div.js-error {
 color: #db797c;
}
.ipython_tooltip {
 font-family: "Droid Sans Mono", monospace;
 font-size: 11pt;
 line-height: 170%;
 border: 2px solid #2b333f;
 background: #3c4657;
 background-color: #3c4657;
 border-radius: 2px;
 overflow-x: visible;
 overflow-y: visible;
 box-shadow: none;
 position: absolute;
 z-index: 1000;
}
.ipython_tooltip .tooltiptext pre {
 font-family: "Droid Sans Mono", monospace;
 font-size: 11pt;
 line-height: 170%;
 background: #3c4657;
 background-color: #3c4657;
 color: hsl(224, 5%, 82%);
 overflow-x: visible;
 overflow-y: visible;
 max-width: 900px;
}
div#tooltip.ipython_tooltip {
 overflow-x: wrap;
 overflow-y: visible;
 max-width: 800px;
}
div.tooltiptext.bigtooltip {
 overflow-x: visible;
 overflow-y: scroll;
 height: 400px;
 max-width: 800px;
}
.cm-s-ipython.CodeMirror {
 font-family: "Droid Sans Mono", monospace;
 font-size: 11pt;
 background: hsl(224, 9%, 16%);
 color: hsl(224, 5%, 82%);
 border-radius: 2px;
 font-style: normal;
 font-weight: normal;
}
.cm-s-ipython div.CodeMirror-selected {
 background: #384151;
}
.cm-s-ipython .CodeMirror-gutters {
 background: #343c4b;
 border: none;
 border-radius: 0px;
}
.cm-s-ipython .CodeMirror-linenumber {
 color: hsl(220, 6%, 45%);
}
.cm-s-ipython .CodeMirror-cursor {
 border-left: 2px solid #0095ff;
}
.cm-s-ipython span.cm-comment {
 color: hsl(220, 6%, 45%);
 font-style: italic;
}
.cm-s-ipython span.cm-atom {
 color: hsl(272, 65%, 75%);
}
.cm-s-ipython span.cm-number {
 color: hsl(21, 72%, 74%);
}
.cm-s-ipython span.cm-property {
 color: #77abe7;
}
.cm-s-ipython span.cm-attribute {
 color: hsl(0, 55%, 71%);
}
.cm-s-ipython span.cm-keyword {
 color: hsl(272, 65%, 75%);
 font-weight: normal;
}
.cm-s-ipython span.cm-string {
 color: hsl(129, 36%, 64%);
}
.cm-s-ipython span.cm-meta {
 color: #7bc6c0;
}
.cm-s-ipython span.cm-operator {
 color: #77abe7;
}
.cm-s-ipython span.cm-builtin {
 color: hsl(0, 55%, 71%);
}
.cm-s-ipython span.cm-variable {
 color: hsl(224, 5%, 82%);
}
.cm-s-ipython span.cm-variable-2 {
 color: hsl(0, 55%, 71%);
}
.cm-s-ipython span.cm-variable-3 {
 color: #7bc6c0;
}
.cm-s-ipython span.cm-def {
 color: #77abe7;
 font-weight: normal;
}
.cm-s-ipython span.cm-error {
 background: rgba(191,97,106,.4);
}
.cm-s-ipython span.cm-tag {
 color: hsl(272, 65%, 75%);
}
.cm-s-ipython span.cm-link {
 color: hsl(0, 55%, 71%);
}
.cm-s-ipython span.cm-storage {
 color: hsl(272, 65%, 75%);
}
.cm-s-ipython span.cm-entity {
 color: hsl(0, 55%, 71%);
}
.cm-s-ipython span.cm-quote {
 color: hsl(129, 36%, 64%);
}
div.CodeMirror span.CodeMirror-matchingbracket {
 color: #fefefe;
 background-color: hsla(220, 50%, 40%, 0.8);
}
div.CodeMirror span.CodeMirror-nonmatchingbracket {
 color: #fefefe;
 background: rgba(191,97,106,.4) !important;
}
div.cell.text_cell .cm-s-default .cm-header {
 color: hsla(220, 50%, 60%, 0.91);
}
div.cell.text_cell .cm-s-default span.cm-variable-2 {
 color: hsl(216, 20%, 74%);
}
div.cell.text_cell .cm-s-default span.cm-variable-3 {
 color: #7bc6c0;
}
.cm-s-default span.cm-comment {
 color: hsl(220, 6%, 45%);
}
.cm-s-default .cm-tag {
 color: #8fb36a;
}
.cm-s-default .cm-builtin {
 color: hsl(0, 55%, 71%);
}
.cm-s-default .cm-string {
 color: hsl(129, 36%, 64%);
}
.cm-s-default .cm-keyword {
 color: hsl(272, 65%, 75%);
}
.cm-s-default .cm-number {
 color: hsl(21, 72%, 74%);
}
.cm-s-default .cm-error {
 color: hsl(272, 65%, 75%);
}
.CodeMirror-cursor {
 border-left: 2px solid #0095ff;
 border-right: none;
 width: 0;
}
.cm-s-default div.CodeMirror-selected {
 background: #384151;
}
.cm-s-default .cm-selected {
 background: #384151;
}
div#maintoolbar {
 display: none !important;
}
#header-container {
 display: none !important;
}

/**********************************
 MathJax Settings and Style Script
**********************************/
.MathJax_Display,
.MathJax nobr>span.math>span {
    border: 0 !important;
    font-size: 110% !important;
    text-align: center !important;
    margin: 0em !important;
}
/* Prevents MathJax from jittering */
/* cell position when cell is selected */
.MathJax:focus, body :focus .MathJax {
    display: inline-block !important;
}

<script>
    MathJax.Hub.Config({
        "HTML-CSS": {
            preferredFont: "TeX",
            availableFonts: ["STIX","TeX"],
            styles: {
                scale: 110,
                ".MathJax_Display": {
                    "font-size": "110%",
                }
            }
        }
    });
</script>


.cell.unselected .CodeMirror-lines {
 }
.cell.selected .CodeMirror-lines {
	background: black !important;
}
.selected .input_area {
	background: black !important;
}
.out_prompt_overlay {
 	background: black !important;
}
.cell .output_wrapper {
	background: black !important;
}
.output_area > * {
	background: black !important;
}
.container { width:100% !important; }

.cell.unselected .output_wrapper {
	display: none;
}
.output {
   padding: 8px 6px;
}

.cell {
 border-width: 1px !important;
}

.out_prompt_overlay {
  border: none;
  box-shadow: none !important;
}

.cell .input {
    width: 50.0%; /* = 1 + 0.01 - output_wrapper width */
}
#header {
  z-index:-1;
}
.cell .output_wrapper {
  z-index:8;
    position: fixed;
    top: 39px;
    right: 2px;
    bottom: 4px;
    width: 50.0%; /* = 1 - .cell .input width */
    padding-right: 0px !important;
    overflow: auto !important;
}
div.output.output_scroll {
  height: 100%;
}

table.dataframe * {
    white-space: nowrap !important;
}

table.dataframe * {
    font-family: verdana;
   	font-size: 1.2rem !important;
    line-height: 1.2 !important;
    background: hsl(220, 10%, 22%);
	color: hsl(0, 0%, 78%);    2:42 PM 1/16/2017
}

table.dataframe th {
    font-family: verdana;
   	font-size: 1.2rem !important;
    background: hsl(220, 19%, 18%);
	color: hsl(220, 3%, 65%);
}

::-webkit-scrollbar-track {
 background-color: hsla(0, 0%, 30%, 0.5); /* background rail */
 border-radius: 2px;
}
::-webkit-scrollbar {
 width: 8px;
 background-color: hsla(0, 0%, 0%, 0.0);
 border-radius: 2px;
}
::-webkit-scrollbar-thumb {
 background-image: none;
 background-color: hsla(224, 35%, 50%, 0.4);
 border-radius: 8px;
}






.CodeMirror pre.CodeMirror-line {
font-family: 'Droid Sans Mono', monospace;
font-size: 14px;
font-weight: 100;
}


div.prompt {
  color: hsl(36, 70%, 28%);
  font-size: 14px;
  font-weight: 800;
}


div.prompt.output_prompt {
 width: 14px; /* width and min-width of this thing decides the "left" of the actual outputs */
 min-width: 14px;
 overflow: hidden;
 opacity: 0;
}


/*
INCLUDE NUMBERING
div.prompt.input_prompt {
 white-space: nowrap;
 letter-spacing: -0.2px;
 min-width: 5.2em !important;
 width: 5.2em !important;
 padding-left: 3px;
 border-right-color: hsla(220, 20%, 0%, 0.4);
}
*/

/* EXPERIMENTAL: colorize status but don't count */
/*
div.prompt.input_prompt {
 color: rgba(0, 0, 0, 0);
 min-width: 1px !important;
 width: 1px !important;
 padding: 0px !important;
 border-right-color: hsla(220, 20%, 0%, 0.4);
}
.cell .input .prompt {
  transition: all 0.1s linear;
}
.cell.running .input .prompt {
  background: hsla(282, 70%, 65%, 1.0) !important;
}
.inner_cell .input_area {
  padding-left: 12px;
}


*/

div.out_prompt_overlay.prompt {
  /* hovering over this covers up some stuff, but this is only useful to switch between scrollable and non-scrollable results in standard view. we dont need this */
  /* "click to expand output, double click to hide output" */
  width: 0px !important;
  min-width: 0px !important;
}
/*************************************/
div#notebook {
  padding-top: 0px;
}
#notebook-container {
  padding: 0px 12px;
}
.navbar-text * {
  opacity: 0.9 !important; /* "python conda env:bmc3" */
  font-size: 14px;
}
#kernel_indicator {
  border: none;
  margin: 0px;
  padding-top: 4px;
}
.kernel_indicator_name {
  font-size: 14px !important;
}
.notification_widget {
  opacity: 0.8; /* "saving every x seconds" */
  font-size: 14px;
  padding-top: 4px;
}
#header {
  border-bottom: 0px;
}
.navbar-collapse.collapse {
}
.navbar-collapse.collapse * {
  font-size: 14px !important;
}
.navbar-collapse.collapse .dropdown-toggle {
  color: hsla(0, 0%, 50%, 0.6); /* text of the dropdown entries */
  padding-top: 10px;
}

/***********************(jan 2017) *****************/
.CodeMirror-gutter-wrapper{
  left: -44px !important;
}

/******************vim***************/
/* Improve command area of CodeMirror Vim */
.CodeMirror-dialog-bottom {
  position: absolute;
  width: 100%;
  bottom: 0;
  z-index: 100;
  color: #eee;
  background-color: red;
}
.CodeMirror-dialog-bottom input {
  border: none;
  outline: none;
  color: inherit;
  background-color: inherit;
  width: calc(100% - 1em);
}
.edit_mode .cell.selected .CodeMirror-focused.cm-fat-cursor {
  background-color: hsla(0, 0%, 50%, 0.0) !important; /* Jupyter cell is in normal mode when code mirror */
}
.edit_mode .cell.selected .CodeMirror-focused:not(.cm-fat-cursor) {
  background-color: hsla(0, 0%, 50%, 0.0) !important; /* Jupyter cell is in insert mode when code mirror */
}
.cm-s-ipython .CodeMirror-cursor {
 border-left: 0px solid hsla(220, 60%, 50%, 0.9); /* line color, for insert mode. keeping width at 0 to not screw up block width */
 background-color: hsla(220, 60%, 40%, 0.9); /* block color, visual mode */
}
.edit_mode .cell.selected .CodeMirror-focused:not(.cm-fat-cursor) .CodeMirror-cursor {
 border-left-width: 2px; /* insert mode, show the line */
}

/* input cell overlaps a bit over the output, and the blue lines flow out */
.cell.selected .input { z-index: 10; }
.cell .output_wrapper {  /* dup output_wrapper for different purposes */
border-left: 1px solid hsla(220, 50%, 40%, 0.8); /* these colors are controlled by the s///g at the top of this file, don't edit manually */
border-top: 1px solid hsla(220, 50%, 40%, 0.8);
}

/*****right overflows on code*****/
div.CodeMirror-lines {
 padding-left: 0.4em;
 padding-right: 0em;
 padding-bottom: 0em;
 padding-top: 0px;
}

.timing_area {
  opacity: 0.32;
  border-top-width: 1px !important;
  border-top-color: hsla(0, 0%, 0%, 0.20) !important;
  font-size: 1.3rem !important;
  font-style: italic;
}
.input_area > .CodeMirror {
  background: none !important; /* otherwise overflow interferes with .timing_area */
}



div.cell.running:before {
background: hsl(278, 50%, 55%) !important;
}
div.cell.selected.running:before {
background: hsl(250, 50%, 55%) !important;
}



.input_area {
margin-left: 6px;
}
